# Contents of this file

* [Introduction](#intro)
* [Requirements](#requirements)
* [Recommended modules](#recommended)
* [Installation](#install)
* [Configuration](#config)
* [Troubleshooting](#trouble)
* [Maintainers](#maintainers)


# INTRODUCTION<a id="intro"></a>

This is an extension module for [**Views RSS**][01], providing additional
set of [Media (MRSS)][02] metadata elements and field formatters.

The project includes a submodule named **Views RSS: Media getID3**,
that can be enabled to integrate with the getID3 library.


# REQUIREMENTS<a id="requirements"></a>

This module requires the following modules:

* [Views RSS][01]:
  A suite of modules that provide metadata for some fields to be
  included in RSS feeds using the core **Views** module.


# RECOMMENDED MODULES<a id="recommended"></a>

* [Advanced help][03]:  
  When this module is enabled, display of the project's README.md
  will be rendered when you visit
  help/ah/views_rss_media/README.md.


# INSTALLATION<a id="install"></a>

Install as you would normally install a contributed Drupal
module. Visit [Installing modules][05] for further information.

The getID3 library provides additional metadata for multimedia file
formats. To use this library, before enabling the **Views RSS: Media
getID3** submodule, you must add this library to your project with the
following command in your project's siteroot:

composer require james-heinrich/getid3



# CONFIGURATION<a id="config"></a>

The module has no menu or modifiable settings.  When enabled, the
metadata elements provided by the module will be availaable when
building an RSS feed using **Views**.
 
# MAINTAINERS<a id="maintainers"></a>

Created by [maciej.zgadzaj][06].  
Maintained by [gisle][07] (Gisle Hannemyr).  
This project has been sponsored by [Hannemyr Nye Medier AS][08].

Any help with development (patches, reviews, comments) are welcome.

[01]: https://www.drupal.org/project/views_rss
[02]: https://www.rssboard.org/media-rss
[03]: https://www.drupal.org/project/advanced_help
[04]: https://www.drupal.org/project/markdown
[05]: https://www.drupal.org/node/1897420
[06]: https://www.drupal.org/u/maciejzgadzaj
[07]: https://www.drupal.org/u/gisle
[08]: https://hannemyr.no
